
//with Arduino Pro mini 3.3v ATmega328P-AU

const byte LED1=2;
const byte LED2=3;
const byte Button1=4;
const byte Button2=5;
const byte Button3=6;

byte state = 0; // state of leds, 0 = off, 1 = Led1, 2 = Led2


void setup()
{
  pinMode(LED1,OUTPUT);
  pinMode(LED2,OUTPUT);
  pinMode(Button1,INPUT);
  pinMode(Button2,INPUT);
  pinMode(Button3,INPUT);
}

void loop()
{
  //read the buttons
  if(digitalRead(Button1)){
    state = 1;
  }
  else if(digitalRead(Button2)){
    state = 2;
  }
  else if(digitalRead(Button3)){
    state = 0;
  }
  
  //set the leds
  digitalWrite(LED1, state == 1);
  digitalWrite(LED2, state == 2);
}